org.apache.ignite.spi.deployment

## Interface DeploymentResource

All Known Implementing Classes:
  DeploymentResourceAdapter

    public interface DeploymentResource

Generic abstraction over deployed resource containing resource's name, class and corresponding class loader.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassLoader` `getClassLoader()` Gets resource class loader.
`String` `getName()` Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.
`Class<?>` `getResourceClass()` Gets resource class.

### Method Detail

#### getName

    String getName()

Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.

Returns:
  Resource name.

#### getResourceClass

    Class<?> getResourceClass()

Gets resource class.

Returns:
  Resource class.

#### getClassLoader

    ClassLoader getClassLoader()

Gets resource class loader.

Returns:
  Resource class loader.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020